Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator Class Reference

Inheritance diagram for TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator:

[legend]
Collaboration diagram for TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator (TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, const char *location, CORBA::Object_ptr object_ref ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
void | result (CORBA::ULong result)
## Private Methods
| TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator (const TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator &)
void | operator= (const TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator &)
## Private Attributes
const char * | location_
CORBA::Object_ptr | object_ref_
CORBA::ULong | _result

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator | ( | TAO_GIOP_Invocation * | _tao_invocation,
|  | CORBA::Object_ptr | _tao_target,
|  | const char * | location,
|  | CORBA::Object_ptr object_ref | ACE_ENV_ARG_DECL_NOT_USED
| ) |

TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator | ( | const TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::arguments | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

Dynamic::ExceptionList * TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

void TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::operator= | ( | const TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator & |  | ) | `[private]`

void TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::result | ( | CORBA::ULong | result | ) |

CORBA::Any * TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::result | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_ClientRequestInfo_i.

## Member Data Documentation

CORBA::ULong TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::_result`[private]`

const char* TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::location_`[private]`

CORBA::Object_ptr TAO_ClientRequestInfo_ImplementationRepository_Locator_unregister_activator::object_ref_`[private]`

The documentation for this class was generated from the following file:

- ImR_LocatorC.cpp